> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/ui-components/form-containers/servoy-default-navigator.md).

# Servoy Default Navigator

(part of package '[Servoy Core](/reference/servoyextensions/packages/ui-component-packages/servoy-core.md)')\
Extends designtime/SolutionModel: [JSWebComponent](/reference/servoycore/dev-api/solutionmodel/jswebcomponent.md)\
Extends runtime: [RuntimeWebComponent](/reference/servoycore/dev-api/forms/runtimeform/elements/runtimewebcomponent.md)

Provides record navigation controls and form switching functionality.

This is a reference page; many components have detailed usage guides [here](https://docs.servoy.com/guides/develop/application-design/ui-components).

## Properties

### currentIndex

The index of the current record. Type: [Long](/reference/servoycore/dev-api/js-lib/number.md)

***

### hasMore

Indicates if there are more records beyond the current view. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md)

***

### maxIndex

The maximum index available for navigation. Type: [Long](/reference/servoycore/dev-api/js-lib/number.md)

***

### minIndex

The minimum index available for navigation. Type: [Long](/reference/servoycore/dev-api/js-lib/number.md)

***

## Events

### setSelectedIndex

Sets the selected record index.\
This function is invoked when the slider's stop event occurs.\
The index parameter is expected to be a positive integer derived from the slider's value.

***

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/ui-components/form-containers/servoy-default-navigator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
